Subject: [alpine-aports] [PATCH] testing/proxychains-ng: new aport

From: systmkor <[email-masked]>
Date: Fri, 16 Jan 2015 17:26:46 -0800

Tool to send TCP traffic through one or more SOCKS or HTTP proxies.
https://github.com/rofl0r/proxychains
---
 testing/proxychains-ng/APKBUILD | 55 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)
 create mode 100644 testing/proxychains-ng/APKBUILD

diff --git a/testing/proxychains-ng/APKBUILD b/testing/proxychains-ng/APKBUILD
new file mode 100644
index 0000000..43fa537
--- /dev/null
+++ b/testing/proxychains-ng/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Orion <[email-masked]>
+# Maintainer: Orion <[email-masked]>
+# Reference
+#   https://www.archlinux.org/packages/community/x86_64/proxychains-ng/
+pkgname=proxychains-ng
+_pkgname=proxychains
+pkgver=4.8.1
+pkgrel=0
+pkgdesc="A hook preloader that allows to redirect TCP traffic of existing dynamically linked programs through one or more SOCKS or HTTP proxies"
+url="https://github.com/rofl0r/proxychains-ng"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/project/$pkgname/proxychains-$pkgver.tar.bz2"
+
+_builddir="$srcdir/$_pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+    make DESTDIR="$pkgdir" install-config || return 1
+    ln -s proxychains4 "$pkgdir/usr/bin/proxychains"
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="70f732a63c1a1d6cff90efe71d28d1b1  proxychains-4.8.1.tar.bz2"
+sha256sums="7d87643174b66b3dc5085068cd5ec9445d813295d0e430254c8a01acf72e7d1d  proxychains-4.8.1.tar.bz2"
+sha512sums="6e1673b331722ea5f6282a055d9552e387a2d68cc5e0c3fbb310ebbf58d47f1c9de46f11bbe5977b328d7a0abf1a5f77c544ccea799cb047da5c8521ee7ec949  proxychains-4.8.1.tar.bz2"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Wed, 21 Jan 2015 13:20:33 +0100

On Fri, 16 Jan 2015 17:26:46 -0800

> https://github.com/rofl0r/proxychains

I would like to call this package for 'proxychains' without the -ng

That is what the source tarball is called.

-nc

---

---

From: Orion <[email-masked]>
Date: Wed, 21 Jan 2015 12:18:10 -0800

On Wed, 21 Jan 2015 13:20:33 +0100

> That is what the source tarball is called.

Sounds good. I modified it, built it, and did a very basic test. Thanks
for the feedback.

systmkor

---